Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampUnit::TestDecorator Class Reference

テストデコレータ More...

`#include <TestDecorator.h>`

Inheritance diagram for LampUnit::TestDecorator:

List of all members.

## Public Member Functions
| TestDecorator (Test *test)
| コンストラクタ
virtual | ~TestDecorator ()
| デストラクタ
virtual void | run (TestResult *result)
| テストを実行する
virtual int | getCountTestCases () const
| テストケースの個数を取得
virtual const Lamp::String & | getName () const
| テストの名前を取得
virtual const Lamp::String & | toString () const
| テストを文字列に変換

## Detailed Description

テストデコレータ

Definition at line 36 of file TestDecorator.h.

## Constructor & Destructor Documentation

LampUnit::TestDecorator::TestDecorator | ( | Test * | test | ) | `[inline]`

  | コンストラクタ Parameters:
  test | デコレーションするテスト
Definition at line 42 of file TestDecorator.h.

## Member Function Documentation

virtual int LampUnit::TestDecorator::getCountTestCases | ( |  | ) | const`[inline, virtual]`

| テストケースの個数を取得 Returns: テストケースの個数 Implements LampUnit::Test. Definition at line 62 of file TestDecorator.h. References LampUnit::Test::getCountTestCases().

virtual const Lamp::String& LampUnit::TestDecorator::getName | ( |  | ) | const`[inline, virtual]`

| テストの名前を取得 Returns: テストの名前 Implements LampUnit::Test. Definition at line 70 of file TestDecorator.h. References LampUnit::Test::getName().

virtual void LampUnit::TestDecorator::run | ( | TestResult * | result | ) | `[inline, virtual]`

  | テストを実行する Parameters:
  result | [out] テスト結果
Implements LampUnit::Test. Reimplemented in LampUnit::TestSetup. Definition at line 54 of file TestDecorator.h. References LampUnit::Test::run().

virtual const Lamp::String& LampUnit::TestDecorator::toString | ( |  | ) | const`[inline, virtual]`

| テストを文字列に変換 Returns: テストの文字列表記 Implements LampUnit::Test. Definition at line 78 of file TestDecorator.h. References LampUnit::Test::toString().

The documentation for this class was generated from the following file:

- TestDecorator.h